using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Benday.TfsUtility.Tests
{
    public class UnitTestBase
    {

        public UnitTestBase()
        {

        }
        public virtual string TfsCollectionUrl 
        {
            get
            {
                return "http://demotfs2015:8080/tfs/DefaultCollection";                    
            }
        }

        public virtual string TeamProjectName
        {
            get
            {
                return "scrum-git-20160329";
            }
        }
        protected string GetArgEntry(string argumentName, string value)
        {
            return String.Format("/{0}:{1}", argumentName, value);
        }
        protected string[] CreateArgsArray(params string[] args)
        {
            return args;
        }
    }
}
