using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Collections.Generic;
using System.Linq;

namespace Benday.TfsUtility.Tests
{
    public static class UnitTestUtility
    {
        public static void AssertIsNotNullOrEmptyString(string actual, string itemName)
        {
            Assert.IsNotNull(actual, "Value for '{0}' should not be null.", itemName);

            Assert.AreNotEqual<string>(String.Empty, actual,
                "Value for '{0}' should not be empty.",
                itemName);
        }
    }
}
