using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;

namespace Benday.TfsUtility.JsonMessageTypes
{
    public class ReleaseDefinitionInfo : INamed
    {
        // [JsonProperty("quality")]
        public string Quality { get; set; }

        public string Uri { get; set; }

        [JsonProperty("type")]
        public string ItemType { get; set; }

        public string Revision { get; set; }

        public string Id { get; set; }
        public string Name { get; set; }
        public string Url { get; set; }

        public ProjectInfo Project { get; set; }
        public PersonInfo AuthoredBy { get; set; }
    }
}
